# Changelog

## 2024-12-27 - 1.2.1 - fix(documentation)
Updated package description and keywords

- Standardized and expanded the package description for better clarity.
- Added relevant keywords to enhance discoverability.

## 2024-12-27 - 1.2.0 - feat(ci)
Add GitHub Actions workflows for CI/CD

- Implemented workflows for handling pushes and tags separately.
- Added job steps for security audits, testing, releasing, and metadata handling.
- Updated .vscode launch configuration to run tests with npm command.

## 2024-12-27 - 1.1.0 - feat(core)
Add TypeScript configuration and update package dependencies and scripts

- Added 'tsconfig.json' for TypeScript configuration, setting target to ES2022 and module to NodeNext.
- Updated the package name and author in 'package.json'.
- Fixed module paths for imports in 'test/test.ts'.
- Removed '.gitlab-ci.yml'.

## 2023-06-09 - 1.0.5 to 1.0.6 - core updates
Routine core updates and version bump

- Core update implemented in version 1.0.5

## 2020-09-14 - 1.0.1 to 1.0.5 - core updates
Routine core updates and version bump

- Sequential core updates from version 1.0.1 to 1.0.5