import * as plugins from './interfaces.plugins.js';

// Basic Conversation
export interface ISioConversationParty {
  id: string;
  name: string;
  description: string;
}

export interface ISioConversationBlock {
  partyId: string;
  text: string;
}

export interface ISioConversation {
  subject: string;
  parties: ISioConversationParty[];
  conversationBlocks: ISioConversationBlock[];
}

// Sessions
export interface ISioSession {
  tenantId: string;
  active: boolean;
  abandoned: boolean;
  markedForDeletion: boolean;
  profileInfo?: {
    profileId: string;
    name: string;
    email: string;
    mobilePhone: string;
  };
  conversations: ISioConversation[];
}

// tenant
export interface ISioTenant {}
